Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001673KdenliveBuild Systempublic2010-06-27 17:142010-09-14 23:24
Reportersunab 
Assigned Toj-b-m 
PrioritynormalSeverityblockReproducibilityalways
StatusclosedResolutionfixed 
Platformi386, amd64, lpiaOSUbuntu LinuxOS Version9.04 (Jaunty)
Product VersionRecent git 
Target VersionFixed in Version 
Summary0001673: latest svn doesn't build fine
DescriptionUsing Soyuz (Launchpad automated build system for packages in a clean virtual machine), Kdenlive build blocks on that error :

In file included from /build/buildd/kdenlive-0.7.7.1+svn20100627.r4542/src/effectstackview.h:27,
                 from /build/buildd/kdenlive-0.7.7.1+svn20100627.r4542/src/mainwindow.cpp:38:
/build/buildd/kdenlive-0.7.7.1+svn20100627.r4542/obj-x86_64-linux-gnu/src/cmake_bindir/ui_effectstack_ui.h: In member function 'void Ui_EffectStack_UI::retranslateUi(QWidget*)':
/build/buildd/kdenlive-0.7.7.1+svn20100627.r4542/obj-x86_64-linux-gnu/src/cmake_bindir/ui_effectstack_ui.h:181: error: 'class KUrlRequester' has no member named 'setText'
make[3]: *** [src/cmake_bindir/CMakeFiles/kdenlive.dir/mainwindow.o] Error 1
make[3]: Leaving directory `/build/buildd/kdenlive-0.7.7.1+svn20100627.r4542/obj-x86_64-linux-gnu'
make[2]: *** [src/cmake_bindir/CMakeFiles/kdenlive.dir/all] Error 2
make[2]: Leaving directory `/build/buildd/kdenlive-0.7.7.1+svn20100627.r4542/obj-x86_64-linux-gnu'
make[1]: *** [all] Error 2
make[1]: Leaving directory `/build/buildd/kdenlive-0.7.7.1+svn20100627.r4542/obj-x86_64-linux-gnu'
make: *** [debian/stamp-makefile-build] Error 2
dpkg-buildpackage: failure: debian/rules build gave error exit status 2
Steps To ReproduceIt seem to be Qt related. In Ubuntu 9.04 there is Qt 4.5.0 (KDE 4.2.2).
This happens in 3 different architectures : i386, amd64 and lpia

Note that it builds fine with Ubuntu 10.04 where Qt is 4.6.
TagsNo tags attached.
Build/Install MethodManual build from SVN
Attached Files

- Relationships

-  Notes
(0005309)
j-b-m (administrator)
2010-06-27 19:09

Should be fixed in svn rev. 4354
(0005310)
sunab (reporter)
2010-06-27 20:54

latest is svn 4543 and it does not build, exact same error.
(0005317)
j-b-m (administrator)
2010-06-28 18:30

Should be fine now (rev. 4551)
(0005319)
sunab (reporter)
2010-06-28 19:17

the error still there in revision 4551.
(0005320)
j-b-m (administrator)
2010-06-28 19:31

Well, maybe now (4552)?
(0005321)
sunab (reporter)
2010-06-28 20:28
edited on: 2010-06-28 20:29

Fixed in 4552. Thanks.


- Issue History
Date Modified Username Field Change
2010-06-27 17:14 sunab New Issue
2010-06-27 19:09 j-b-m Note Added: 0005309
2010-06-27 19:09 j-b-m Assigned To => j-b-m
2010-06-27 19:09 j-b-m Status new => feedback
2010-06-27 20:54 sunab Note Added: 0005310
2010-06-27 20:54 sunab Status feedback => assigned
2010-06-28 18:30 j-b-m Note Added: 0005317
2010-06-28 19:17 sunab Note Added: 0005319
2010-06-28 19:31 j-b-m Note Added: 0005320
2010-06-28 20:28 sunab Note Added: 0005321
2010-06-28 20:29 sunab Note Edited: 0005321 View Revisions
2010-06-28 23:33 j-b-m Status assigned => resolved
2010-06-28 23:33 j-b-m Resolution open => fixed
2010-09-14 23:24 ttill Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker